package com.diagbot.facade;

import com.diagbot.client.CdssCoreClient;
import com.diagbot.dto.DrugInfoDTO;
import com.diagbot.dto.LisDetailDTO;
import com.diagbot.dto.OperationInfoDTO;
import com.diagbot.dto.RetrievalDTO;
import com.diagbot.vo.RetrievalVO;
import com.google.common.collect.Lists;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Arrays;
import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/8/12 16:44
 */
@Component
public class RetrievalFacade {
    @Autowired
    private CdssCoreClient cdssCoreClient;

    /**
     * 检索
     *
     * @param retrievalVO
     * @return
     */
    public RetrievalDTO index(RetrievalVO retrievalVO) {
        RetrievalDTO retrievalDTO = new RetrievalDTO();
        //RespDTO<RetrievalDTO> respDTO = cdssCoreClient.index(retrievalVO);
        //RespDTOUtil.respNGDealCover(respDTO, "检索失败");
        //retrievalDTO = respDTO.data;
        List<String> diseaseNames = Arrays.asList(new String[] { "糖尿病", "心脏病", "急性胰腺炎" });
        retrievalDTO.setDiseaseNames(diseaseNames);
        List<String> lisNames = Arrays.asList(new String[] { "血常规", "肾功能", "肝功能" });
        retrievalDTO.setLisNames(lisNames);
        List<String> pacsNames = Arrays.asList(new String[] { "胃镜", "胸部X线检查", "MRI" });
        retrievalDTO.setPacsNames(pacsNames);
        List<LisDetailDTO> lisDetailDTOList = Lists.newArrayList();
        LisDetailDTO lisDetailDTO = new LisDetailDTO();
        lisDetailDTO.setUniqueName("钾");
        lisDetailDTO.setUnits("mmol/L");
        lisDetailDTO.setMinValue(3.5d);
        lisDetailDTO.setMaxValue(10d);
        lisDetailDTOList.add(lisDetailDTO);
        LisDetailDTO lisDetailDTO1 = new LisDetailDTO();
        lisDetailDTO1.setUniqueName("尿酸");
        lisDetailDTO1.setUnits("umol/L");
        lisDetailDTO1.setMinValue(155d);
        lisDetailDTO1.setMaxValue(428d);
        lisDetailDTOList.add(lisDetailDTO1);
        retrievalDTO.setLisDetailNames(lisDetailDTOList);
        List<DrugInfoDTO> drugInfoDTOList = Lists.newArrayList();
        DrugInfoDTO drugInfoDTO = new DrugInfoDTO();
        drugInfoDTO.setName("沙丁胺醇");
        drugInfoDTO.setUsage(Arrays.asList(new String[] { "吸入" }));
        drugInfoDTO.setDosage(Arrays.asList(new String[] { "每次1-2次" }));
        drugInfoDTO.setFrequency(Arrays.asList(new String[] { "每日3次" }));
        drugInfoDTOList.add(drugInfoDTO);
        retrievalDTO.setDrugNames(drugInfoDTOList);
        List<OperationInfoDTO> operationInfoDTOList = Lists.newArrayList();
        OperationInfoDTO operationInfoDTO = new OperationInfoDTO();
        operationInfoDTO.setName("心脏手术");
        operationInfoDTO.setType("手术");
        operationInfoDTOList.add(operationInfoDTO);
        retrievalDTO.setOperationNames(operationInfoDTOList);
        return retrievalDTO;
    }
}